org.eclipse.microprofile.config.tck

## Class ImplicitConverterTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.ImplicitConverterTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ImplicitConverterTest
    extends org.jboss.arquillian.testng.Arquillian

Test the implicit converter handling.

Author:
  Mark Struberg, Jeff Mesnil, Emily Jiang

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ImplicitConverterTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testGetImplicitConverterCharSequenceParseConverter()`
`void` `testGetImplicitConverterCharSequenceParseJavaTimeConverter()`
`void` `testGetImplicitConverterEnumValueOfConverter()`
`void` `testGetImplicitConverterSquenceOfBeforeValueOfConverter()`
`void` `testGetImplicitConverterSquenceParseBeforeConstructorConverter()`
`void` `testGetImplicitConverterSquenceValueOfBeforeParseConverter()`
`void` `testGetImplicitConverterStringCtConverter()`
`void` `testGetImplicitConverterStringOfConverter()`
`void` `testGetImplicitConverterStringValueOfConverter()`
`void` `testImplicitConverterCharSequenceParse()`
`void` `testImplicitConverterCharSequenceParseJavaTime()`
`void` `testImplicitConverterCharSequenceParseJavaTimeInjection()`
`void` `testImplicitConverterEnumValueOf()`
`void` `testImplicitConverterSquenceOfBeforeValueOf()`
`void` `testImplicitConverterSquenceParseBeforeConstructor()`
`void` `testImplicitConverterSquenceValueOfBeforeParse()`
`void` `testImplicitConverterStringCt()`
`void` `testImplicitConverterStringOf()`
`void` `testImplicitConverterStringValueOf()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImplicitConverterTest

    public ImplicitConverterTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testImplicitConverterStringCt

    public void testImplicitConverterStringCt()

#### testImplicitConverterStringValueOf

    public void testImplicitConverterStringValueOf()

#### testImplicitConverterStringOf

    public void testImplicitConverterStringOf()

#### testImplicitConverterCharSequenceParse

    public void testImplicitConverterCharSequenceParse()

#### testImplicitConverterCharSequenceParseJavaTime

    public void testImplicitConverterCharSequenceParseJavaTime()

#### testImplicitConverterCharSequenceParseJavaTimeInjection

    public void testImplicitConverterCharSequenceParseJavaTimeInjection()

#### testImplicitConverterEnumValueOf

    public void testImplicitConverterEnumValueOf()

#### testImplicitConverterSquenceOfBeforeValueOf

    public void testImplicitConverterSquenceOfBeforeValueOf()

#### testImplicitConverterSquenceValueOfBeforeParse

    public void testImplicitConverterSquenceValueOfBeforeParse()

#### testImplicitConverterSquenceParseBeforeConstructor

    public void testImplicitConverterSquenceParseBeforeConstructor()

#### testGetImplicitConverterStringCtConverter

    public void testGetImplicitConverterStringCtConverter()

#### testGetImplicitConverterStringValueOfConverter

    public void testGetImplicitConverterStringValueOfConverter()

#### testGetImplicitConverterStringOfConverter

    public void testGetImplicitConverterStringOfConverter()

#### testGetImplicitConverterCharSequenceParseConverter

    public void testGetImplicitConverterCharSequenceParseConverter()

#### testGetImplicitConverterCharSequenceParseJavaTimeConverter

    public void testGetImplicitConverterCharSequenceParseJavaTimeConverter()

#### testGetImplicitConverterEnumValueOfConverter

    public void testGetImplicitConverterEnumValueOfConverter()

#### testGetImplicitConverterSquenceOfBeforeValueOfConverter

    public void testGetImplicitConverterSquenceOfBeforeValueOfConverter()

#### testGetImplicitConverterSquenceValueOfBeforeParseConverter

    public void testGetImplicitConverterSquenceValueOfBeforeParseConverter()

#### testGetImplicitConverterSquenceParseBeforeConstructorConverter

    public void testGetImplicitConverterSquenceParseBeforeConstructorConverter()